Files
textmate/configure
2021-02-15 16:01:50 +01:00

25 lines
761 B
Bash
Executable File
Raw Permalink Blame History

This file contains ambiguous Unicode characters
This file contains Unicode characters that might be confused with other characters. If you think that this is intentional, you can safely ignore this warning. Use the Escape button to reveal them.
#!/bin/sh
# set -u
function error () { printf >&2 "%s\n\nPlease see README.md for build instructions.\n" "$1"; exit 1; }
# ===============================
# = Check required dependencies =
# ===============================
for hdr in boost/{crc,variant}.hpp capnp/{message,serialize-packed}.h sparsehash/dense_hash_map; do
test -f "/usr/local/include/$hdr" || error "*** dependency missing: /usr/local/include/${hdr}."
done
for dep in capnp ninja ragel multimarkdown pgrep pkill; do
which -s "$dep" || error "*** dependency missing: ${dep}."
done
# ========================
# = Generate build files =
# ========================
if [[ -d "$builddir" ]];
then bin/rave -crelease -tTextMate -b"$builddir"
else bin/rave -crelease -tTextMate
fi